const module = {
    // 开启命名空间
    namespaced: true,

    // 仓库
    state: {},

    // 同步方法
    mutations: {
        // 添加http请求历史
        add(state, key) {
            let startTime = new Date().getTime()

            if (!state[key]) {
                state[key] = startTime
            }
        },

        // 请求成功后删除请求历史
        success(state, key) {
            delete state[key]
        },
    },

    // 异步方法
    actions: {},
}

export default module
